Subject: Re: rm -rf -> Circular directory structure
From: [email-masked] (Larry Hall)

6 Aug 1997 09:17:45 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 2.2 (32)
Original-To: Christoph Kukulies <[email-masked]>,
        [email-masked]
Original-Sender: [email-masked]

At 11:19 AM 8/6/97 +0200, Christoph Kukulies wrote:
>I'm having a weird problem under NT 4.0 (I remember to
>have seen this with b17 and NT3.51 also):
>
>D:\>rm -rf somedir
>rm: WARNING: Circular directory structure.
>This almost certainly means that you have a corrupted file system.
>NOTIFY YOUR SYSTEM MANAGER.
>Cycle detected:
>somedir/FOO/FOO
>is the same file as
>somedir
>
>CHKDSK doesn't flag any errors on the filesystem and I tend to believe
>this isn't the cause anyway.
>
>The interesting thing is: When I remove the file somedir/FOO/FOO
>the rm command is able to run through without errors.
>
>
>-- 
>Chris Christoph P. U. Kukulies [email-masked]

Chris,

This should be in the FAQ (I expect its not at the moment).  The problem
is caused by a faulty inode mapping algorithm in all the betas.  There is
no problem with your file system.  It merely means that the faulty inode
mapping for files and directories thinks there's more than 1 file and/or
directory for the generated inode number, which is certainly a bad thing
for traditional UNIX file systems.  The error hinders rm from working 
correctly but does not indicate file system problems.  You'll just need
to delete the intended files/directories another way (most likely via 
Windows or DOS tools).  I believe Sergey's latest DLL has some fixes to 
mitigate this problem.  I don't think there's a complete fix yet (correct
me if I'm wrong folks).

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (617) 239-1053
8 Grove Street                          (617) 239-1655 - FAX
Wellesley, MA  02181                             

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".